Balance Inquiry
- Endpoint:
POST /v1.0/emoney/balance-inquiry - Tags: Indonesia SNAP/Disbursement
Description
Query real-time customer account balances. Service Code=11
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Content-Type | header | string | Yes | Media type of the resource, i.e. application/json. | |
X-TIMESTAMP | header | string | Yes | Request time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time. | |
X-SIGNATURE | header | string | Yes | Represents signature of a request. | |
CHANNEL-ID | header | string | Yes | Device identification on which the API services is currently being accessed by the end user , like APP,WAP,WEB. | |
Authorization | header | string | Yes | Represents access_token of a request; string starts with keyword “Bearer ” followed by access_token | |
X-PARTNER-ID | header | string | Yes | Member id, the unique identifier generated when the merchant signs the contract with PayerMax | |
X-EXTERNAL-ID | header | string | Yes | Unique reference number for each request and should be unique within the same day. |
Parameter Examples
Content-Type:""X-TIMESTAMP:""X-SIGNATURE:""CHANNEL-ID:""Authorization:""X-PARTNER-ID:""X-EXTERNAL-ID:""
Request Body
Required
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
additionalInfo | object | Yes | |||
additionalInfo.fundsAccountNoList | array[string] | Yes | When no fundsAccountNo is specified, all fundsAccountNos will return. | ||
additionalInfo.fundsAccountCurrencyList | array[string] | Yes | 3-digit currency code in accordance with ISO 4217 When no currency is specified, all accounts will return. | ||
additionalInfo.plainSign | boolean | No | Whether to display accounts with a balance of 0 -true: display -false: does not display (default), filters the account directly. |
Example
json
{
"additionalInfo": {
"fundsAccountNoList": [
"12345679237"
],
"fundsAccountCurrencyList": [
"USD"
],
"plainSign": true
}
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
responseCode | string | Yes | Response code, following the SNAP standard. | ||
responseMessage | string | Yes | Response description, following the SNAP standard. | ||
additionalInfo | object | Yes | |||
additionalInfo.inquiryTime | string | No | In accordance with RFC3339 specification, format: yyyy-mm-dd’T’HH:mm:ss. SSSXXX | ||
additionalInfo.accountBalanceInfoList | array[object] | No | |||
additionalInfo.accountBalanceInfoList[].fundsAccountNo | string | Yes | Funds account number. | ||
additionalInfo.accountBalanceInfoList[].balance | integer | Yes | Current balance. | ||
additionalInfo.accountBalanceInfoList[].fundsAccountCurrency | string | Yes | The currency under funds account number. |
Response Example
json
{
"responseMessage": "Successful'",
"additionalInfo": {
"inquiryTime": "2026-08-25T07:13:56.817Z",
"accountBalanceInfoList": [
{
"fundsAccountNo": "P26052920113",
"balance": 1000977121,
"fundsAccountCurrency": "USD"
},
{
"fundsAccountNo": "P26052934444",
"balance": 1000097979,
"fundsAccountCurrency": "USD"
}
]
},
"responseCode": "2001100"
}